Update notification settings

Update notification settings

Updates notification settings for the authenticated user.

PUT/api/notifications/settings

Request

curl
curl -X PUT https://trickest.io/api/notifications/settings \
  -H "Authorization: Bearer $TRICKEST_TOKEN"

Responses

200Updated notification settings
idstringrequired
channelstringrequired
enabledbooleanrequired
filtersobject
400Bad Request – validation error or malformed input
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

401Unauthorized – missing or expired token
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

403Forbidden – insufficient permissions
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

429Too Many Requests – rate limited
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.

500Internal Server Error
codestringrequired
messagestringrequired
detailsobject

Field-level detail when the error is a validation failure.